Bug 1771092 - Manifest progress bar hangs during deleting, uploading, and refreshing manifest
Summary: Manifest progress bar hangs during deleting, uploading, and refreshing manifest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Ian Ballou
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-11 20:49 UTC by Lai
Modified: 2020-04-14 13:26 UTC (History)
3 users (show)

Fixed In Version: foreman-1.24.0-0.14.RC3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28205 Normal Closed React issue in Foreman for Katello: subscriptions page does not track manifest action progress 2019-12-12 18:36:14 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:33 UTC

Description Lai 2019-11-11 20:49:58 UTC
Description of problem:
The progress bar after uploading, deleting, or refreshing a manifest does not show any progress.  It just stays gray throughout with no progress filled in.

Version-Release number of selected component (if applicable):
6.7.0 snap 1

How reproducible:
100%

Steps to Reproduce:
1. Content -> subscription -> Manage Manifest
2. Delete manifest
3. Click ok.
4. Repeat 2-3 with uploading a new manifest and refreshing

Actual results:
Progress bar is not filled in.

Expected results:
Progress bar is filled in and disappears once 100% is reached.

Additional info:

Comment 4 Walden Raines 2019-11-12 19:21:36 UTC
Created redmine issue https://projects.theforeman.org/issues/28254 from this bug

Comment 5 Walden Raines 2019-11-12 20:45:46 UTC
(In reply to Walden Raines from comment #4)
> Created redmine issue https://projects.theforeman.org/issues/28254 from this
> bug

Disregard.

Comment 6 Bryan Kearney 2019-11-17 01:05:15 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28205 has been resolved.

Comment 7 jcallaha 2019-12-06 21:50:11 UTC
Verified in Satellite 6.7 Snap 4.

This is now fixed in the latest snap, showing the same behavior as before.

Comment 10 errata-xmlrpc 2020-04-14 13:26:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.